Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Interface ServiceBeanControl

All Known Subinterfaces:
  CybernodeAdmin, ProvisionMonitorAdmin, ServiceAdmin

All Known Implementing Classes:
  ConstrainableServiceAdminProxy, ServiceAdminImpl, ServiceAdminProxy

    public interface ServiceBeanControl

The ServiceBeanControl interface specifies remote lifecycle control semantics for a ServiceBean

Method Summary
`void` | `advertise()` The advertise method informs a ServiceBean to advertise itself on the network providing access to all clients.
`Object` | `start()` The start method provides informs a ServiceBean to make itself ready to accept inbound communications, returning an Object which can be used to communicate with the ServiceBean.
`void` | `stop(boolean force)` The stop method informs the ServiceBean to unexport itself from any underlying distributed Object communication mechanisms making it incapable of accepting inbound communications.
`void` | `unadvertise()` The unadvertise method informs the ServiceBean to cancel all advertisements (registrations, etc...) it has made on the network.

Method Detail

### start

    Object start()
                 throws JSBControlException,
                        RemoteException

  The start method provides informs a ServiceBean to make itself ready to accept inbound communications, returning an Object which can be used to communicate with the ServiceBean. If the ServiceBean has started itself, subsequent invocations of this method will not re-start the ServiceBean, but return the Object created during the initial start

  Returns:
    An Object that can be used to communicate to the ServiceBean
  Throws:
    `JSBControlException` - If any errors occur
    `RemoteException` - If any communications errors occur

### stop

    void stop(boolean force)
              throws JSBControlException,
                     RemoteException

  The stop method informs the ServiceBean to unexport itself from any underlying distributed Object communication mechanisms making it incapable of accepting inbound communications. This call should be used with great care as the ServiceBean will not be able to respond to any remote invocations.

  Parameters:
    `force` - If true, unexports the ServiceBean even if there are pending or in-progress calls; if false, only unexports the ServiceBean if there are no pending or in-progress calls
  Throws:
    `JSBControlException` - If any errors occur
    `RemoteException` - If any communications errors occur

### advertise

    void advertise()
                   throws JSBControlException,
                          RemoteException

  The advertise method informs a ServiceBean to advertise itself on the network providing access to all clients. The ServiceBean must be ready to accept incoming communications (has been started). If the ServiceBean has advertised itself, subsequent invocations of this method will not re-advertise the ServiceBean

  Throws:
    `JSBControlException` - If any errors occur
    `RemoteException` - If any communications errors occur

### unadvertise

    void unadvertise()
                     throws JSBControlException,
                            RemoteException

  The unadvertise method informs the ServiceBean to cancel all advertisements (registrations, etc...) it has made on the network. The ServiceBean must still be available to accept incoming communications. If the ServiceBean has not advertised itself, this method has no defined behavior

  Throws:
    `JSBControlException` - If any errors occur
    `RemoteException` - If any communications errors occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.